/****************************************************************************
** Image collection for project 'eventwatcher embedded icons'.
**
** Generated from reading image files: 
**      eventwatcher/deleteevent.png
**
** Created: Wed Apr 14 13:24:40 2004
**      by: The User Interface Compiler ()
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include <qimage.h>
#include <qdict.h>
#include <qmime.h>
#include <qdragobject.h>

// eventwatcher/deleteevent.png
static const unsigned char image_0_data[] = {
    0x00,0x00,0x01,0xe4,0x78,0x9c,0x63,0x60,0x20,0x1d,0xf0,0xf0,0xac,0xf9,
    0x4f,0x8c,0x38,0x88,0x0f,0xc3,0xe4,0x88,0xa3,0xf1,0x4d,0xa0,0x18,0xab,
    0x7a,0x7c,0xea,0x70,0x98,0x4f,0x94,0x3a,0x6c,0xee,0xc4,0x65,0x1e,0x91,
    0xfe,0x82,0xdb,0x8b,0x4f,0x3d,0x2e,0xff,0xe2,0x70,0x37,0x56,0x7f,0xc0,
    0xc4,0x01,0xf7,0xee,0x4b,0x48
};

static struct EmbedImage {
    int width, height, depth;
    const unsigned char *data;
    ulong compressed;
    int numColors;
    const QRgb *colorTable;
    bool alpha;
    const char *name;
} embed_image_vec[] = {
    { 11, 11, 32, (const unsigned char*)image_0_data, 62, 0, 0, TRUE, "deleteevent.png" },
    { 0, 0, 0, 0, 0, 0, 0, 0, 0 }
};

static QImage uic_findImage( const QString& name )
{
    for ( int i=0; embed_image_vec[i].data; i++ ) {
	if ( QString::fromUtf8(embed_image_vec[i].name) == name ) {
	    QByteArray baunzip;
	    baunzip = qUncompress( embed_image_vec[i].data, 
		embed_image_vec[i].compressed );
	    QImage img((uchar*)baunzip.data(),
			embed_image_vec[i].width,
			embed_image_vec[i].height,
			embed_image_vec[i].depth,
			(QRgb*)embed_image_vec[i].colorTable,
			embed_image_vec[i].numColors,
			QImage::BigEndian
		);
	    img = img.copy();
	    if ( embed_image_vec[i].alpha )
		img.setAlphaBuffer(TRUE);
	    return img;
        }
    }
    return QImage();
}

class MimeSourceFactory_eventwatcher_embedded_icons : public QMimeSourceFactory
{
public:
    MimeSourceFactory_eventwatcher_embedded_icons() {}
    ~MimeSourceFactory_eventwatcher_embedded_icons() {}
    const QMimeSource* data( const QString& abs_name ) const {
	const QMimeSource* d = QMimeSourceFactory::data( abs_name );
	if ( d || abs_name.isNull() ) return d;
	QImage img = uic_findImage( abs_name );
	if ( !img.isNull() )
	    ((QMimeSourceFactory*)this)->setImage( abs_name, img );
	return QMimeSourceFactory::data( abs_name );
    };
};

static QMimeSourceFactory* factory = 0;

void qInitImages_eventwatcher_embedded_icons()
{
    if ( !factory ) {
	factory = new MimeSourceFactory_eventwatcher_embedded_icons;
	QMimeSourceFactory::defaultFactory()->addFactory( factory );
    }
}

void qCleanupImages_eventwatcher_embedded_icons()
{
    if ( factory ) {
	QMimeSourceFactory::defaultFactory()->removeFactory( factory );
	delete factory;
	factory = 0;
    }
}

class StaticInitImages_eventwatcher_embedded_icons
{
public:
    StaticInitImages_eventwatcher_embedded_icons() { qInitImages_eventwatcher_embedded_icons(); }
#if defined(Q_OS_SCO) || defined(Q_OS_UNIXWARE)
    ~StaticInitImages_eventwatcher_embedded_icons() { }
#else
    ~StaticInitImages_eventwatcher_embedded_icons() { qCleanupImages_eventwatcher_embedded_icons(); }
#endif
};

static StaticInitImages_eventwatcher_embedded_icons staticImages;
