#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/sandro/src/projects/eventwatcher/src/generalsettingpage.ui'
**
** Created: Wed Apr 14 00:37:38 2004
**      by: The User Interface Compiler ()
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettingpage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GeneralSettingPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GeneralSettingPage::GeneralSettingPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralSettingPage" );
    GeneralSettingPageLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "GeneralSettingPageLayout"); 
    spacer1 = new QSpacerItem( 20, 240, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GeneralSettingPageLayout->addItem( spacer1, 1, 0 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( KDialog::spacingHint() );
    groupBox1->layout()->setMargin( KDialog::marginHint() );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    kcfg_PopupEnabled = new QCheckBox( groupBox1, "kcfg_PopupEnabled" );

    groupBox1Layout->addMultiCellWidget( kcfg_PopupEnabled, 0, 0, 0, 1 );
    spacer2 = new QSpacerItem( 20, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2, 1, 0 );

    layout1 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout1"); 

    delayLabel = new QLabel( groupBox1, "delayLabel" );

    layout1->addWidget( delayLabel, 1, 0 );

    kcfg_PopupShowDetails = new QCheckBox( groupBox1, "kcfg_PopupShowDetails" );

    layout1->addMultiCellWidget( kcfg_PopupShowDetails, 0, 0, 0, 1 );

    kcfg_PopupCloseDelay = new QSpinBox( groupBox1, "kcfg_PopupCloseDelay" );
    kcfg_PopupCloseDelay->setMaxValue( 60 );
    kcfg_PopupCloseDelay->setMinValue( 1 );

    layout1->addWidget( kcfg_PopupCloseDelay, 1, 1 );

    groupBox1Layout->addLayout( layout1, 1, 1 );

    GeneralSettingPageLayout->addWidget( groupBox1, 0, 0 );
    languageChange();
    resize( QSize(533, 303).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_PopupEnabled, SIGNAL( toggled(bool) ), kcfg_PopupShowDetails, SLOT( setEnabled(bool) ) );
    connect( kcfg_PopupEnabled, SIGNAL( toggled(bool) ), kcfg_PopupCloseDelay, SLOT( setEnabled(bool) ) );
    connect( kcfg_PopupEnabled, SIGNAL( toggled(bool) ), delayLabel, SLOT( setEnabled(bool) ) );

    // buddies
    delayLabel->setBuddy( kcfg_PopupCloseDelay );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettingPage::~GeneralSettingPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettingPage::languageChange()
{
    setCaption( tr2i18n( "General Settings" ) );
    groupBox1->setTitle( tr2i18n( "&Pop-up Dialog" ) );
    kcfg_PopupEnabled->setText( tr2i18n( "&Enable pop-up dialog announcing new events" ) );
    kcfg_PopupEnabled->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QWhatsThis::add( kcfg_PopupEnabled, tr2i18n( "Enable this setting if EventWatcher should create a pop-up window close to the system tray icon, announcing new events and displaying some basic information about them." ) );
    delayLabel->setText( tr2i18n( "&Close delay:" ) );
    kcfg_PopupShowDetails->setText( tr2i18n( "Display a &detailed list containing short event descriptions" ) );
    kcfg_PopupShowDetails->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QWhatsThis::add( kcfg_PopupShowDetails, tr2i18n( "Enable this setting if the pop-up should display a detailled list of new events." ) );
    kcfg_PopupCloseDelay->setSuffix( tr2i18n( " sec." ) );
    QWhatsThis::add( kcfg_PopupCloseDelay, tr2i18n( "Set this to the number of seconds of inactivity after which the pop-up should be closed." ) );
}

#include "generalsettingpage.moc"
